Renderd7-nightly v0.7.0

Public Member Functions | Private Attributes | List of all members
nlohmann::detail::iteration_proxy< IteratorType > Class Template Reference

proxy class for the items() function More...

`#include <json.hpp>`

## Public Member Functions
| iteration_proxy (typename IteratorType::reference cont) noexcept
| construct iteration proxy from a container
iteration_proxy_value< IteratorType > | begin () noexcept
| return iterator begin (needed for range-based for)
iteration_proxy_value< IteratorType > | end () noexcept
| return iterator end (needed for range-based for)

## Private Attributes
IteratorType::reference | container
| the container to iterate

## Detailed Description

### template<typename IteratorType>
class nlohmann::detail::iteration_proxy< IteratorType >

proxy class for the items() function